Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class ContentHandlerProxy.ContentHandlerProxyTraceListener

    java.lang.Object
      net.sf.saxon.event.ContentHandlerProxy.ContentHandlerProxyTraceListener

All Implemented Interfaces:
  EventListener, TraceListener

Enclosing class:
  ContentHandlerProxy

    public class ContentHandlerProxy.ContentHandlerProxyTraceListener

extends Object
implements TraceListener

Constructor Summary
`ContentHandlerProxy.ContentHandlerProxyTraceListener()`

Method Summary
`void` | `close()` Method called at the end of execution, that is, when the run-time execution ends
`void` | `endCurrentItem(Item currentItem)` Method that is called when an instruction has finished processing a new current item and is ready to select a new current item or revert to the previous current item.
`void` | `enter(InstructionInfo instruction, XPathContext context)` Method that is called when an instruction in the stylesheet gets processed.
`Stack` | `getContextItemStack()` Get the context item stack
`void` | `leave(InstructionInfo instruction)` Method that is called after processing an instruction of the stylesheet, that is, after any child instructions have been processed.
`void` | `open()` Method called at the start of execution, that is, when the run-time transformation starts
`void` | `startCurrentItem(Item currentItem)` Method that is called by an instruction that changes the current item in the source document: that is, xsl:for-each, xsl:apply-templates, xsl:for-each-group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHandlerProxy.ContentHandlerProxyTraceListener

    public ContentHandlerProxy.ContentHandlerProxyTraceListener()

Method Detail

### getContextItemStack

    public Stack getContextItemStack()

  Get the context item stack

### open

    public void open()

  Method called at the start of execution, that is, when the run-time transformation starts

  Specified by:
    `open` in interface `TraceListener`

### close

    public void close()

  Method called at the end of execution, that is, when the run-time execution ends

  Specified by:
    `close` in interface `TraceListener`

### enter

    public void enter(InstructionInfo instruction,
                      XPathContext context)

  Method that is called when an instruction in the stylesheet gets processed.

  Specified by:
    `enter` in interface `TraceListener`
  Parameters:
    `instruction` - gives information about the instruction being executed, and about the context in which it is executed. This object is mutable, so if information from the InstructionInfo is to be retained, it must be copied.

### leave

    public void leave(InstructionInfo instruction)

  Method that is called after processing an instruction of the stylesheet, that is, after any child instructions have been processed.

  Specified by:
    `leave` in interface `TraceListener`
  Parameters:
    `instruction` - gives the same information that was supplied to the enter method, though it is not necessarily the same object. Note that the line number of the instruction is that of the start tag in the source stylesheet, not the line number of the end tag.

### startCurrentItem

    public void startCurrentItem(Item currentItem)

  Method that is called by an instruction that changes the current item in the source document: that is, xsl:for-each, xsl:apply-templates, xsl:for-each-group. The method is called after the enter method for the relevant instruction, and is called once for each item processed.

  Specified by:
    `startCurrentItem` in interface `TraceListener`
  Parameters:
    `currentItem` - the new current item. Item objects are not mutable; it is safe to retain a reference to the Item for later use.

### endCurrentItem

    public void endCurrentItem(Item currentItem)

  Method that is called when an instruction has finished processing a new current item and is ready to select a new current item or revert to the previous current item. The method will be called before the leave() method for the instruction that made this item current.

  Specified by:
    `endCurrentItem` in interface `TraceListener`
  Parameters:
    `currentItem` - the item that was current, whose processing is now complete. This will represent the same underlying item as the corresponding startCurrentItem() call, though it will not necessarily be the same actual object.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.